%define	modname	PathTools
%define modver	3.62

%define __noautoreq 'perl\\(VMS::Filespec\\)'

Summary:	Tools for working with paths and file specs across platforms
Name:		perl-%{modname}
Version:	%perl_convert_version %{modver}
Release:	1
License:	GPLv2+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{modname}
Source0:	http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{modname}-%{modver}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(ExtUtils::CBuilder)

%description
Tools for working with paths and file specs across platforms.

%prep
%setup -qn %{modname}-%{modver}
%apply_patches

%build
perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

# Fails on non-Linux tests
%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.yml MYMETA.yml README
%{perl_vendorarch}/File
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/auto/Cwd
%{_mandir}/man3/*


%changelog

* Thu Jan 28 2016 Denis Silakov <dsilakov@gmail.com> 3.620.0-1
- (8f40e4a) Updated to 3.62


